%define kernel_base_version	2.6.16
%define kernel_extra_version	%nil
%define kgcc_version	3.4
%define kernel_extra_version_numeric 1.0.0

# -*- rpm -*-
%define RPMVERSION 3.31
%define VERSION    3.31
Summary: Kernel loader which uses a FAT, ext2/3 or iso9660 filesystem or a PXE network
Name: syslinux
Version: %RPMVERSION
Release: alt1
License: GPL
Group: System/Kernel and hardware
Source0: ftp://ftp.kernel.org/pub/linux/utils/boot/syslinux/%name-%VERSION.tar.gz
ExclusiveArch: %ix86 x86_64
Packager: Hihin Ruslan <ruslandh@altlinux.ru>

BuildPreReq: anyasm, perl, netpbm
Autoreq: 0
BuildRequires: kernel-headers-modules-std26-smp
BuildRequires: gcc%kgcc_version

#ifarch i386
#Requires: mtools, libc.so.6
#endif
#ifarch x86_64
#Requires: mtools, libc.so.6()(64bit)
#endif

# NOTE: extlinux belongs in /sbin, not in /usr/sbin, since it is typically
# a system bootloader, and may be necessary for system recovery.
%define _sbindir /sbin

%package devel
Summary: Development environment for %name add-on modules
Group: System/Kernel and hardware
BuildPreReq: binutils
Requires: %name

%description
%name is a suite of bootloaders, currently supporting DOS FAT
filesystems, Linux ext2/ext3 filesystems (EXTLINUX), PXE network boots
(PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).  It also includes a tool,
MEMDISK, which loads legacy operating systems from these media.

%description devel
The %name boot loader contains an API, called COM32, for writing
sophisticated add-on modules.  This package contains the libraries
necessary to compile such modules.

%package extlinux
Summary: The EXTLINUX bootloader, for booting the local system
Group: System/Kernel and hardware
Requires: %name

%description extlinux
The EXTLINUX bootloader, for booting the local system, as well as all
the %name/PXELINUX modules in /boot.

%package tftpboot
Summary: %name modules in /tftpboot, available for network booting
Group: System/Kernel and hardware
Requires: %name

%description tftpboot
All the %name/PXELINUX modules directly available for network
booting in the %_localstatedir/tftpboot directory.

%prep
%setup -q
#patch0 -p0
%__subst 's|\(./add_crc\)|%__perl ./add_crc|g' Makefile
# disable e820test TODO:
%ifarch x86_64
%__subst 's/all: memdisk e820test/all: memdisk/' memdisk/Makefile
%endif

%build
#make clean
%make installer
%make -C sample tidy

#make_build

%install
install -d  %buildroot/boot %buildroot%_localstatedir/tftpboot/pxelinux.cfg
install -d  %buildroot%_includedir
%make_install \
	INSTALLDIR=%buildroot \
	INSTALLROOT=%buildroot \
	BINDIR=%_bindir \
	install-all
%make -C sample tidy

install mkdiskimage sys2ansi.pl keytab-lilo.pl %buildroot%_libexecdir/%name/
install  %buildroot%_libexecdir/%name/*.c32	%buildroot/boot
install  %buildroot%_libexecdir/%name/memdisk	%buildroot/boot
install  %buildroot%_libexecdir/%name/*.c32 	%buildroot%_localstatedir/tftpboot
install  %buildroot%_libexecdir/%name/pxelinux.0 %buildroot%_localstatedir/tftpboot
install  %buildroot%_libexecdir/%name/memdisk 	%buildroot%_localstatedir/tftpboot


%files
%doc NEWS README* *.doc COPYING BUGS TODO com32/modules/mboot.doc memdisk/memdisk.doc
%dir %_libexecdir/%name
%doc sample
%_bindir/syslinux
%_bindir/ppmtolss16
%_bindir/lss16toppm
%_bindir/gethostip
%_libexecdir/%name/*.com
%_libexecdir/%name/*.exe
%_libexecdir/%name/*.c32
%_libexecdir/%name/*.bin
%_libexecdir/%name/*.0
%_libexecdir/%name/memdisk
%_libexecdir/%name/*.pl
%_libexecdir/%name/mkdiskimage

%files devel
%_libexecdir/%name/com32

%files extlinux
%_sbindir/extlinux
/boot/*

%files tftpboot
%_localstatedir/tftpboot/*

%post extlinux
# If we have a %_libdir/boot/extlinux.conf file, assume extlinux is our bootloader
# and update it.
if [ -f %_libexecdir/boot/extlinux.conf ]; then extlinux --update %_libexecdir/boot; fi

%postun
%changelog
* Fri Sep 29 2006 Hihin Hihin Ruslan <ruslandh@altlinux.ru> 3.31-alt1
- new_version
- Move  %_datadir to %_libexecdir (/usr/libexec).
- Move /tftpboot/* to  %_localstatedir/tftpboot/.

* Mon Sep 19 2006 H. Peter Anvin <hpa@zytor.com>
- Add a %name-tftpboot module.
- Factor extlinux into its own package.
- Move to %_datadir (/usr/share).

* Wed Sep 21 2005 H. Peter Anvin <hpa@zytor.com>
- If %_libdir/boot/extlinux.conf exist, run extlinux --update.

* Fri Sep  9 2005 H. Peter Anvin <hpa@zytor.com>
- Copy, don't link, *.c32 into %_libdir/boot; rpm doesn't like breaking links.

* Tue Aug 23 2005 H. Peter Anvin <hpa@zytor.com>
- Put *.c32 into /boot.

* Thu Dec 30 2004 H. Peter Anvin <hpa@zytor.com>
- lib%name dropped in %name 3.00.
- Additional documentation.
- Add extlinux.

* Tue Dec 14 2004 H. Peter Anvin <hpa@zytor.com>
- Add a devel package for the com32 library added in 2.12.

* Wed Apr 16 2003 H. Peter Anvin <hpa@zytor.com> 2.04-1
- 2.04 release
- Add support for lib%name.so*
- Templatize for inclusion in CVS tree

* Thu Apr 10 2003 H. Peter Anvin <hpa@zytor.com>
- 2.03 release
- Add support for lib%name.a
- Add keytab-lilo.pl to the /usr/lib/%name directory
- Modernize syntax
- Support building on x86-64

* Thu Feb 13 2003 H. Peter Anvin <hpa@zytor.com>
- 2.02 release; no longer setuid

* Thu Jan 30 2003 H. Peter Anvin <hpa@zytor.com>
- Prepare for 2.01 release; make /usr/bin/%name setuid root

* Fri Oct 25 2002 H. Peter Anvin <hpa@zytor.com>
- Upgrade to 2.00.

* Tue Aug 27 2002 H. Peter Anvin <hpa@zytor.com>
- Upgrade to 1.76.

* Fri Jun 14 2002 H. Peter Anvin <hpa@zytor.com>
- Upgrade to 1.75.

* Sat Jun  1 2002 H. Peter Anvin <hpa@zytor.com>
- Upgrade to 1.74.

* Sun May 26 2002 H. Peter Anvin <hpa@zytor.com>
- Upgrade to 1.73.

* Tue Apr 23 2002 H. Peter Anvin <hpa@zytor.com>
- Upgrade to 1.72.

* Wed Apr 17 2002 H. Peter Anvin <hpa@zytor.com>
- Upgrade to 1.71.
- Update the title.

* Wed Apr 17 2002 H. Peter Anvin <hpa@zytor.com>
- Upgrade to 1.70.

* Sat Feb  3 2002 H. Peter Anvin <hpa@zytor.com>
- Upgrade to 1.67.

* Tue Jan  1 2002 H. Peter Anvin <hpa@zytor.com>
- Upgrade to 1.66.

* Sat Dec 15 2001 H. Peter Anvin <hpa@zytor.com>
- Upgrade to 1.65; make appropriate changes.

* Sat Aug 24 2001 H. Peter Anvin <hpa@zytor.com>
- Upgrade to 1.64.

* Mon Aug  6 2001 H. Peter Anvin <hpa@zytor.com>
- Upgrade to 1.63.
- Use make install since the stock %name distribution now supports
  INSTALLROOT.

* Sat Apr 24 2001 H. Peter Anvin <hpa@zytor.com>
- Upgrade to 1.62.

* Sat Apr 14 2001 H. Peter Anvin <hpa@zytor.com>
- Fix missing %files; correct modes.

* Fri Apr 13 2001 H. Peter Anvin <hpa@zytor.com>
- Upgrade to 1.61
- Install auxilliary programs in /usr/lib/%name

* Sat Feb 10 2001 Matt Wilson <msw@redhat.com>
- 1.52

* Wed Jan 24 2001 Matt Wilson <msw@redhat.com>
- 1.51pre7

* Mon Jan 22 2001 Matt Wilson <msw@redhat.com>
- 1.51pre5

* Fri Jan 19 2001 Matt Wilson <msw@redhat.com>
- 1.51pre3, with e820 detection

* Tue Dec 12 2000 Than Ngo <than@redhat.com>
- rebuilt with fixed fileutils

* Thu Nov 9 2000 Than Ngo <than@redhat.com>
- update to 1.49
- update ftp site
- clean up specfile
- add some useful documents

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- add %%defattr (release 4)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- change application group (Applications/Internet doesn't seem
  right to me)
- added BuildRequires

* Tue Apr 04 2000 Erik Troan <ewt@redhat.com>
- initial packaging
